Bug 1420941 - [RFE] Add a switch to enable USB 2.0 controller for virtual machines
Summary: [RFE] Add a switch to enable USB 2.0 controller for virtual machines
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: All
OS: All
low
low vote
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:07 UTC by Jonathan Woytek
Modified: 2019-04-17 12:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 14:07:59 UTC
oVirt Team: Virt
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Jonathan Woytek 2017-02-09 23:07:07 UTC
Description of problem:

The default USB controller for virtual machines is a UHCI controller to keep compatibility with USB 1.0 devices like SmartCards (see https://gerrit.ovirt.org/#/c/68923/). It is non-obvious from the UI for a user to enable the available EHCI controller for USB 2.0 device support. Currently, the only method I could find in the UI was to enable "native" mode for USB redirection under Console when using SPICE. The osinfo-defaults information could also be overridden on the engine. That looks like it would change the default for all virtual machines, which might not be ideal in all circumstances. Overriding the defaults in that file is simple, though the process does not seem to be well-documented.

It would be preferrable if there was a switch in the UI to enable the EHCI controller for individual virtual machines, and perhaps a way to set the default as well.

Comment 1 Martin Tessun 2018-07-06 14:07:59 UTC
Hi Michal,

maybe we should ensure that q35 chipset have EHCI as default.


Besides this, as USB devices are only needed in SPICE typically, I believe having "native" USB redirection there is fine.

Closing.


Note You need to log in before you can comment on or make changes to this bug.